Subject: Re: [net-next 08/15] net/mlx5e: Add hairpin debugfs files

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Jan 2023 14:20:49 -0800

On Thu, 12 Jan 2023 11:17:07 +0200 Gal Pressman wrote:
> As Saeed said, we discussed different APIs for this, debugfs seemed like
> the best fit as we don't want users to change the queues parameters for
> production purposes. Debugfs makes it clear that these params aren't for
> your ordinary use, and allows us to be more flexible over time if needed
> (we don't necessarily have to keep these files there forever, if our
> hardware implementation changes for example).

You cut off the original question in your reply, it was:

  Can you expand on the use of this params when debugging?

IOW why do you need to change this configuration during debug.